ru.bitel.bgbilling.modules.hd.server.bean

## Class ZoneDAO

- java.lang.Object
- - ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO
  - - ru.bitel.bgbilling.modules.hd.server.bean.ZoneDAO

-     public class ZoneDAO
      extends CommonDAO

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO

      `SQL_DELETE_FROM, SQL_FROM, SQL_INSERT_INTO, SQL_LIMIT, SQL_ORDER_BY, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZoneDAO(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addZone(Zone zone)`
    `void` | `deleteZone(int zoneId)`
    `java.util.List<Zone>` | `getModifiedZoneList(boolean avto)` получение списка изменных зон со времени последнего запуска планировщика
    `Zone` | `getZoneById(int zoneId)`
    `java.util.List<java.lang.Integer>` | `getZoneIdListByWhoisLastUpdate(java.lang.String zoneMask, int limit)`
    `java.util.List<Zone>` | `getZoneList()`
    `java.util.List<Zone>` | `getZoneList(int contractId)`
    `void` | `updateZone(Zone zone)`
    `boolean` | `updateZone(Zone zone, java.util.Date lastUpdate)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.hd.server.bean.CommonDAO

      `getPeriod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZoneDAO

          public ZoneDAO(java.sql.Connection con,
                         int moduleId)

  - ### Method Detail

    - #### getZoneList

          public java.util.List<Zone> getZoneList()

      Returns:

    - #### getZoneList

          public java.util.List<Zone> getZoneList(int contractId)

    - #### getModifiedZoneList

          public java.util.List<Zone> getModifiedZoneList(boolean avto)

      получение списка изменных зон со времени последнего запуска планировщика
      Returns:
        список измененных зон

    - #### getZoneById

          public Zone getZoneById(int zoneId)

    - #### addZone

          public void addZone(Zone zone)

    - #### deleteZone

          public void deleteZone(int zoneId)

    - #### updateZone

          public void updateZone(Zone zone)

    - #### updateZone

          public boolean updateZone(Zone zone,
                                    java.util.Date lastUpdate)

    - #### getZoneIdListByWhoisLastUpdate

          public java.util.List<java.lang.Integer> getZoneIdListByWhoisLastUpdate(java.lang.String zoneMask,
                                                                                  int limit)